Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## base.table
Class TableCreator

    java.lang.Object
      base.table.TableCreator

    public class TableCreator

extends java.lang.Object

Field Summary
`protected static java.awt.Color` | `BgColor`
`protected static java.awt.Color` | `FgColor`
`protected static java.awt.Color` | `GridColor`
`protected static java.awt.Color` | `HeaderBgColor`
`protected static java.awt.Color` | `HeaderFgColor`
`protected static java.awt.Font` | `TableFont`

Constructor Summary
`TableCreator()`

Method Summary
`static void` | `AddFormatViewTable(int tableindex)` Naformatuje tabulku podla indexu
`static void` | `ChildrenListHandle(java.util.List<org.jdom.Element> clist)` Metoda, ktora vytvara stlpce tabulky podla schemy
`static void` | `CreateTable(java.lang.String tablename)` Vytvori tabulku s nazvom tablename
`static int` | `ElementTableIndex(java.lang.String ename, int parentindex)` Metoda ktora vrati index najblizsieho prazdneho elementu v riadku podla nazvu
`static void` | `FillTables(java.util.List<org.jdom.Element> xlist, int pti)` Metoda ktora plni riadky tabulky
`static void` | `parse()` Metoda ktora vykona celu vizualizaciu tabulkami
`static void` | `RemoveEmptyRows()` Metoda na odstranenie prazdnych riadkov v tabulke
`static int` | `SearchTableName(java.lang.String tname)` Metoda ktora vrati index tabulky podla mena

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TableFont

    protected static final java.awt.Font TableFont

### GridColor

    protected static final java.awt.Color GridColor

### FgColor

    protected static final java.awt.Color FgColor

### BgColor

    protected static final java.awt.Color BgColor

### HeaderFgColor

    protected static final java.awt.Color HeaderFgColor

### HeaderBgColor

    protected static final java.awt.Color HeaderBgColor

Constructor Detail

### TableCreator

    public TableCreator()

Method Detail

### parse

    public static void parse()

  Metoda ktora vykona celu vizualizaciu tabulkami

### RemoveEmptyRows

    public static void RemoveEmptyRows()

  Metoda na odstranenie prazdnych riadkov v tabulke

### FillTables

    public static void FillTables(java.util.List<org.jdom.Element> xlist,
                                  int pti)

  Metoda ktora plni riadky tabulky

  Parameters:
    `xlist` - zoznam elementov v xml subore
    `pti` - index predoslej tabulky

### SearchTableName

    public static int SearchTableName(java.lang.String tname)

  Metoda ktora vrati index tabulky podla mena

  Parameters:
    `tname` - meno tabulky
  Returns:
    index tabulky

### ElementTableIndex

    public static int ElementTableIndex(java.lang.String ename,
                                        int parentindex)

  Metoda ktora vrati index najblizsieho prazdneho elementu v riadku podla nazvu

  Parameters:
    `ename` - nazov elemenetu
  Returns:
    index elementu

### ChildrenListHandle

    public static void ChildrenListHandle(java.util.List<org.jdom.Element> clist)

  Metoda, ktora vytvara stlpce tabulky podla schemy

  Parameters:
    `clist` - zoznam elementov na aktualnej urovni stromu

### CreateTable

    public static void CreateTable(java.lang.String tablename)

  Vytvori tabulku s nazvom tablename

  Parameters:
    `tablename` - nazov tabulky

### AddFormatViewTable

    public static void AddFormatViewTable(int tableindex)

  Naformatuje tabulku podla indexu

  Parameters:
    `tableindex` - index formatovanej tabulky

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD